<template>
	<template-id>greenback-blog</template-id>
	<version>20201210-001</version>
	<layouts>

		<layout id="landing">
			<path>_assets/latinum/layouts/landing.html</path>
			<title>_siteName_ : _title_</title>
			<!--
			<styles>
				<style>_assets/latinum/styles/greenback.css</style>
			</styles>
			-->
			<inserts>
				<insert name="footer">_assets/latinum/frags/footer.html</insert>
			</inserts>
			<enter>
				<action>siteNavAxns.loadLayout</action>
			</enter>
			<exit>
				<action>siteNavAxns.unloadLayout</action>
			</exit>
			<enter-page>
				<action>siteNavAxns.loadPage</action>
				<action>welcomeAxns.loadPage</action>
				<action>statCounterAxns.loadPage</action>
			</enter-page>
			<exit-page>
				<action>siteNavAxns.unloadPage</action>
				<action>welcomeAxns.unloadPage</action>
			</exit-page>
		</layout>

		<layout id="layout-page">
			<path>_assets/latinum/layouts/layout-page.html</path>
			<title>_siteName_ : _title_</title>
			<inserts>
				<insert name="footer">_assets/latinum/frags/footer.html</insert>
			</inserts>
			<default-layout />
			<enter>
				<action>siteNavAxns.loadLayout</action>
			</enter>
			<exit>
				<action>siteNavAxns.unloadLayout</action>
			</exit>
			<enter-page>
				<action>siteNavAxns.loadPage</action>
				<action>statCounterAxns.loadPage</action>
			</enter-page>
			<exit-page>
				<action>siteNavAxns.unloadPage</action>
			</exit-page>
		</layout>

		<layout id="layout-blog">
			<path>_assets/latinum/layouts/layout-blog.html</path>
			<title>_siteName_ : _title_</title>
			<inserts>
				<insert name="footer">_assets/latinum/frags/footer.html</insert>
			</inserts>
			<enter>
				<action>siteNavAxns.loadLayout</action>
				<action>singlePostAxns.loadLayout</action>
			</enter>
			<exit>
				<action>siteNavAxns.unloadLayout</action>
				<action>singlePostAxns.unloadLayout</action>
			</exit>
			<enter-page>
				<action>siteNavAxns.loadPage</action>
				<action>singlePostAxns.loadPage</action>
				<action>statCounterAxns.loadPage</action>
			</enter-page>
			<exit-page>
				<action>siteNavAxns.unloadPage</action>
				<action>singlePostAxns.unloadPage</action>
			</exit-page>
		</layout>

		<layout id="simple">
			<path>_assets/latinum/layouts/simple.html</path>
			<title>_siteName_ : _title_</title>
			<inserts>
				<insert name="footer">_assets/latinum/frags/footer.html</insert>
			</inserts>
			<enter>
				<action>siteNavAxns.loadLayout</action>
			</enter>
			<exit>
				<action>siteNavAxns.unloadLayout</action>
			</exit>
			<enter-page>
				<action>siteNavAxns.loadPage</action>
				<action>statCounterAxns.loadPage</action>
			</enter-page>
			<exit-page>
				<action>siteNavAxns.unloadPage</action>
			</exit-page>
		</layout>

	</layouts>
	<pages>
		<page slug="404">
			<layout>simple</layout>
			<path>_assets/latinum/pages/404.html</path>
			<title>Page not found</title>
			<not-found-page/>
		</page>
		<page slug="_all-posts">
			<layout>simple</layout>
			<path>_assets/latinum/pages/all-posts.html</path>
			<title>All Posts</title>
			<enter>
				<action>allPostsAxns.loadPage</action>
			</enter>
			<exit>
				<action>allPostsAxns.unloadPage</action>
			</exit>
		</page>
		<page slug="_all-categories">
			<layout>simple</layout>
			<path>_assets/latinum/pages/all-categories.html</path>
			<title>Browse Categories</title>
			<enter>
				<action>allCategoriesAxns.loadPage</action>
			</enter>
			<exit>
				<action>allCategoriesAxns.unloadPage</action>
			</exit>
		</page>
		<page slug="_category">
			<layout>simple</layout>
			<path>_assets/latinum/pages/category.html</path>
			<title>Category</title>
			<parameters>
				<name>catslug</name>
			</parameters>
			<enter>
				<action>singleCategoryAxns.loadPage</action>
			</enter>
			<exit>
				<action>singleCategoryAxns.unloadPage</action>
			</exit>
		</page>
	</pages>
</template>